import { div, option, DomAttributes } from '../dom';
declare const row: (cls: string | null, ...children: (string | HTMLElement)[]) => HTMLDivElement;
declare const btn: (cls: string | null, attrs: DomAttributes, label: string) => HTMLButtonElement;
declare const dropdown: (attrs: DomAttributes, options: HTMLOptionElement[]) => HTMLDivElement;
interface Stringable {
    toString: () => string;
}
declare const enumDropdown: <ChoiceType extends Stringable>(entries: [ChoiceType, string][], initialValue: ChoiceType, changeHandler: (a: ChoiceType) => any) => HTMLElement;
export { row, btn, dropdown, option, div, enumDropdown };
