interface DomAttributes {
    onchange?: (e: Event) => any;
    onclick?: (e: Event) => any;
    value?: any;
    selected?: any;
    disabled?: any;
}
declare const h: (tagName: string, classNames: string | null, attrs: DomAttributes, ...children: (string | HTMLElement)[]) => HTMLElement;
declare const div: (cls: string, ...children: (string | HTMLElement)[]) => HTMLDivElement;
declare const button: (cls: string, attrs: DomAttributes, label: string) => HTMLButtonElement;
declare const select: (cls: string, attrs: DomAttributes, ...optionElements: HTMLOptionElement[]) => HTMLSelectElement;
declare const option: (attrs: DomAttributes, label: string) => HTMLOptionElement;
export { h, div, button, select, option, DomAttributes };
