import { Rule, RuleOptions } from './Rule';
interface CounterRuleOptions extends RuleOptions {
    incrementEl?: string;
    resetEl?: string;
    replaceEl?: string;
}
declare class Counter extends Rule {
    counterValue: number;
    incrementEl: string;
    resetEl: string;
    replaceEl: string;
    constructor(options: CounterRuleOptions);
    setup(): void;
    beforeAdd(el: HTMLElement): HTMLElement;
    createReplacement(element: HTMLElement): HTMLElement;
    replace(element: HTMLElement, counterValue: number): HTMLElement;
}
export default Counter;
