import Replace from './Replace';
import { Book } from '../book';
import { RuleOptions } from './Rule';
import { PageMaker } from '../types';
declare class Footnote extends Replace {
    constructor(options: RuleOptions);
    afterAdd(element: HTMLElement, book: Book, continueOnNewPage: Function, makeNewPage: PageMaker, overflowCallback: Function): any;
    createReplacement(book: Book, element: HTMLElement): HTMLElement;
    replace(element: HTMLElement, number: number): HTMLElement;
    render(element: HTMLElement, number: number): string | HTMLElement;
}
export default Footnote;
