import { Rule, RuleOptions } from './Rule';
import { Book } from '../book';
declare class PageBreak extends Rule {
    continue: 'next' | 'left' | 'right' | 'same';
    position: 'before' | 'after' | 'both' | 'avoid';
    constructor(options: RuleOptions);
    get avoidSplit(): boolean;
    beforeAdd(elmt: HTMLElement, book: Book, continueOnNewPage: Function): HTMLElement;
    afterAdd(elmt: HTMLElement, book: Book, continueOnNewPage: Function): HTMLElement;
}
export default PageBreak;
