import { RuleOptionBreakPosition, RuleOptionFlowPosition, RuleOptionPageRotation } from '../types';
export interface RuleOptions {
    name?: string;
    selector?: string;
    position?: RuleOptionBreakPosition;
    continue?: RuleOptionFlowPosition;
    rotate?: RuleOptionPageRotation;
    pageNumberOffset?: number;
}
export declare class Rule {
    name: string;
    selector: string;
    [key: string]: any;
    constructor(options: RuleOptions);
    setup(): void;
}
